/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Abdominal Organ Segmentation Types
 */
public enum EnumCV_AbdominalOrganSegmentationTypes {

	//Abdominal Organ Segmentation Types - CID 7154
	ABDOMEN_T_D4000("T-D4000"),
	ABDOMINAL_CAVITY_T_D4010("T-D4010"),
	ABDOMINAL_WALL_MUSCLE_T_14001("T-14001"),
	ADRENAL_GLAND_T_B3000("T-B3000"),
	ABDOMINAL_AORTA_T_42500("T-42500"),
	BILE_DUCT_T_60610("T-60610"),
	INFERIOR_VENA_CAVA_T_48710("T-48710"),
	KIDNEY_T_71000("T-71000"),
	LIVER_T_62000("T-62000"),
	OMENTUM_T_D4600("T-D4600"),
	PERITONEAL_CAVITY_T_D4425("T-D4425"),
	PERITIONEUM_T_D4400("T-D4400"),
	RETROPERITONEAL_SPACE_T_D4900("T-D4900"),
	SKIN_OF_ABDOMEN_T_02480("T-02480"),
	SMALL_INTESTINE_T_58000("T-58000"),
	SPLEEN_T_C3000("T-C3000"),
	URINARY_SYSTEM_T_70001("T-70001");

	private String value;

	EnumCV_AbdominalOrganSegmentationTypes(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
